package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.conditiontype.ApiConditionTypeAddRequest;
import com.yd.csf.feign.request.conditiontype.ApiConditionTypeEditRequest;
import com.yd.csf.feign.request.conditiontype.ApiConditionTypePageRequest;
import com.yd.csf.feign.response.conditiontype.ApiConditionTypeDetailResponse;
import com.yd.csf.feign.response.conditiontype.ApiConditionTypePageResponse;

public interface ApiConditionTypeService {
    Result<IPage<ApiConditionTypePageResponse>> page(ApiConditionTypePageRequest request);

    Result<ApiConditionTypeDetailResponse> detail(String conditionTypeBizId);

    Result add(ApiConditionTypeAddRequest request);

    Result edit(ApiConditionTypeEditRequest request);

    Result del(String conditionTypeBizId);
}
